Summary:	File-Spec perl extension
Summary(pl): Rozszerzenie perla: File-Spec
Name: perl-File-Spec
Version:	0.82
Release:	2
License:	GPL
Group: Development/Languages
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/File/File-Spec-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

%description
This module is designed to support operations commonly performed on
file specifications (usually called "file names", but not to be
confused with the contents of a file, or Perl's file handles), such as
concatenating several directory and file names into a single path, or
determining whether a path is rooted. It is based on code directly
taken from MakeMaker 5.17, code written by Andreas Koenig, Andy
Dougherty, Charles Bailey, Ilya Zakharevich, Paul Schinder, and
others.

%description -l pl
Ten modu zosta stworzony by wspiera operacje czsto wykonywane na
specyfikacjach plikw (nazywanych przewanie "nazwami plikw"; nie
naley myli ich z zawartoci plikw ani perlowymi uchwytami plikw),
takie jak czenie kilku katalogw i nazw plikw w pojedyncz ciek
albo okrelanie czy cieka jest bezwzgldna. Modu bazuje na kodzie
bezporednio wzitym z moduu MakeMaker 5.17, kodzie napisanym przez
Andreasa Koeniga, Andy'ego Dougherty'ego, Charlesa Baileya, Ilya
Zakharevicha, Paula Schindera i innych.

%prep
%setup -q -n File-Spec-%{version}

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{_libdir}/perl5/*
%{_mandir}/*/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* Fri Jun 07 2002 Aleksey Nogin <ayn2@cornell.edu>
- Initial .spec, based on the PLD Team <feedback@pld.org.pl> one
